<?php

namespace ModulesGarden\ProxmoxAddon\App\Events\Vps;

use MGProvision\Proxmox\v2\interfaces\VmInterface;
use ModulesGarden\ProxmoxAddon\Core\Events\Event;

class QemuUpdateEvent extends Event
{

    protected $vm;
    protected $changeVmPassword = true;

    public function __construct(VmInterface $vm)
    {
        $this->vm = $vm;

    }

    /**
     * @return VmInterface
     */
    public function getVm()
    {
        return $this->vm;
    }

    /**
     * @param VmInterface $vm
     */
    public function setVm($vm)
    {
        $this->vm = $vm;
    }

    /**
     * @return bool
     */
    public function isChangeVmPassword()
    {
        return $this->changeVmPassword;
    }

    /**
     * @param bool $changeVmPassword
     */
    public function setChangeVmPassword($changeVmPassword)
    {
        $this->changeVmPassword = $changeVmPassword;
    }


}